IMTEST(1)

NAME
imtest - test interactive IMAP program

SYNOPSIS
imtest

DESCRIPTION
imtest is a utility that allows you to authenticate to a IMAP or IMSP server and interactively issue commands to it. Once authenticated you may issue any IMAP or IMSP command by simply typing it in. It is capable of multiple SASL authentication mechanisms and handles encryption layers transparently. This utility is often used for testing the operation of a imsp or imap server. Also those developing IMAP clients find it useful.

OPTIONS
-p <port> Port to connect to. If left off this defaults to "imap" as defined in /etc/services. -m <mechanism> Force imtest to use <mechanism> for authentication. If not specified the strongest authentication mechanism supported by the server is chosen. -u <user> Username to use for authentication; defaults to the current user. -a <user> Authname to use for authentication; defaults to the current user. -l <num> Maximum protection layer to use (0=none; 1=integrity; etc). For example if you are using the KERBEROS_V4 authentication mechanism specifing 0 will force imtest to not use any layer and specifying 1 will force it to use the integrity layer. By default the maximum supported protection layer will be used. -r realm Specify the realm to use. Certain authentication mechanisms (e.g. DIGEST-MD5) may require one to specify the realm -f <file> Pipe file into connection after authentication -v Verbose. Print out more information than usual -z Timing test.